package com.lilosoft.api.service.complexWindow;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import com.lilosoft.core.enums.TypeEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

/**
 * 综合窗口抽象类
 *
 * @author:
 * @date: 2023/7/31 15:09
 */
@Slf4j
public abstract class ComplexWindowAbstract {


    public String url ="/self-device-info/login";

    public String token="eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyTnVtIjoibGoiLCJoYW5kbGVBZGRyZXNzSWQiOiIxNDE0MTYyODc4OTk3MDIwNjczIiwiZGVwdElkIjoiNTExNTAwMzEiLCJleHAiOjE2OTg2NzIzNzAsInVzZXJJZCI6IjEzMTIiLCJ3aW5kb3dJZCI6IjE1ODUwOTEyNDU4ODgzNjQ1NDUifQ.2a6N9xc2D_X2LSOpeiUPdMWvaLhOefgMr176pmC-X_k";

    private String type;

    abstract String getType();

    public abstract void doHandleWork(CommonData commonData);


    public static ComplexWindowAbstract newType(String type) {

        if (TypeEnum.危险化学品经营许可法人变更.getValue().equals(type)) {
            return new WXHXPJYXKFRBG(type);
        }else if (TypeEnum.危险化学品经营许可变更.getValue().equals(type)){
            return new WXHXPJYXKBG(type);
        } else if (TypeEnum.医疗机构执业变更资金变更.getValue().equals(type)) {
            return new YLJGZYBGZJBG(type);
        } else if(TypeEnum.医疗机构执业变更法人变更.getValue().equals(type)){
            return new YLJGZYBGFRBG(type);
        }


/*        if (type == TypeEnum.固定班制.getValue()) {
            //return new FixWorkAttendance(type);
            return new FixWorkOtherAttendance(type);
        } else if (type == TypeEnum.自由工时.getValue()) {
            return new FreedomWorkAttendance(type);
        }
        if (type == TypeEnum.排班制.getValue()) {
            return new ScheduleWorkAttendance(type);
        } else {
            throw new AppException(String.format("未知的类型码:%s", type));
        }*/
        // throw new Exception(String.format("未知的类型码:%s", type));

        return null;
    }


    public String getToken() {
        try {
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("deviceLogo","5c:1b:f4:e2");

            String rest = HttpUtil.post(url, jsonObject.toJSONString());

            log.info("get token==>>{}",rest);

        } catch (Exception e) {
            log.error("获取TOKEN异常", e);
        }

        return this.token;
    }


    public ComplexWindowAbstract(String type) {
        this.type = type;
    }

}
