package com.lilosoft.core.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 综窗事项处理类
 *
 * @author zxfei
 */
public enum TypeEnum {
    危险化学品经营许可法人变更("wxhxpjyxkfrbg20231007", "危险化学品经营许可法人变更"),
    危险化学品经营许可变更("wxhxpjyxkbg20231116","危险化学品经营许可变更"),
    医疗机构执业变更资金变更("yljgzzybgzjbg20231120","医疗机构执业变更-资金变更"),
    医疗机构执业变更法人变更("11511200MB1887563L300012300400009","医疗机构执业变更-法人变更"),
    ;
    private String value;
    private String desc;

    TypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static TypeEnum getByValue(String value) {
        for (TypeEnum typeEnum : TypeEnum.values()) {
            if (typeEnum.getValue() == value) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (TypeEnum item : TypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}