package com.lilosoft.core.model;

import org.springframework.util.StringUtils;

import java.io.Serializable;


public class JsonResult implements Serializable {


    private static final long serialVersionUID = 1L;
    private boolean success;
    private String status;
    private String msg;
    private Object obj;

    public JsonResult() {}

    public boolean isSuccess() {
        return this.success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMsg() {
        return this.msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getObj() {
        return this.obj;
    }

    public void setObj(Object obj) {
        this.obj = obj;
    }

    public static JsonResult returnNoAuthException(Exception exception) {
        JsonResult result = new JsonResult();
        result.setSuccess(false);
        result.setStatus("401");
        result.setMsg(exception.getMessage());
        return result;
    }

    public static JsonResult returnException(Exception exception) {
        JsonResult result = new JsonResult();
        result.setSuccess(false);
        result.setStatus("500");
        result.setMsg(exception.getMessage());
        return result;
    }

    public static JsonResult returnException(String msg) {
        JsonResult result = new JsonResult();
        result.setSuccess(false);
        result.setStatus("500");
        result.setMsg(msg);
        return result;
    }

    public static JsonResult returnException(Exception exception, String status) {
        JsonResult result = new JsonResult();
        result.setSuccess(false);
        if (StringUtils.isEmpty(status)) {
            result.setStatus("500");
        } else {
            result.setStatus(status);
        }

        result.setMsg(exception.getMessage());
        return result;
    }

    public static JsonResult returnException(String msg, String status) {
        JsonResult result = new JsonResult();
        result.setSuccess(false);
        if (StringUtils.isEmpty(status)) {
            result.setStatus("500");
        } else {
            result.setStatus(status);
        }

        result.setMsg(msg);
        return result;
    }
}
